Package org.pgpainless.sop

# Class DetachedVerifyImpl

java.lang.Object
org.pgpainless.sop.DetachedVerifyImpl

All Implemented Interfaces:
  `sop.operation.AbstractVerify<sop.operation.DetachedVerify>`, `sop.operation.DetachedVerify`, `sop.operation.VerifySignatures`

public class DetachedVerifyImpl extends Object implements sop.operation.DetachedVerify
Implementation of the

    verify

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`DetachedVerifyImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.operation.DetachedVerify`
`cert(InputStream cert)`
`List<sop.Verification>`
`data(InputStream data)`
`sop.operation.DetachedVerify`
`notAfter(Date timestamp)`
`sop.operation.DetachedVerify`
`notBefore(Date timestamp)`
`DetachedVerifyImpl`
`signatures(InputStream signatures)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.AbstractVerify

`cert`

### Methods inherited from interface sop.operation.DetachedVerify

`signatures`

### Methods inherited from interface sop.operation.VerifySignatures

`data`

## Constructor Details

### DetachedVerifyImpl

public DetachedVerifyImpl()

## Method Details

### notBefore

public sop.operation.DetachedVerify notBefore(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `notBefore` in interface `sop.operation.AbstractVerify<sop.operation.DetachedVerify>`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### notAfter

public sop.operation.DetachedVerify notAfter(Date timestamp) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `notAfter` in interface `sop.operation.AbstractVerify<sop.operation.DetachedVerify>`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### cert

public sop.operation.DetachedVerify cert(InputStream cert) throws sop.exception.SOPGPException.BadData, IOException

Specified by:
  `cert` in interface `sop.operation.AbstractVerify<sop.operation.DetachedVerify>`
Throws:
  `sop.exception.SOPGPException.BadData`
  `IOException`

### signatures

public DetachedVerifyImpl signatures(InputStream signatures) throws sop.exception.SOPGPException.BadData

Specified by:
  `signatures` in interface `sop.operation.DetachedVerify`
Throws:
  `sop.exception.SOPGPException.BadData`

### data

public List<sop.Verification> data(InputStream data) throws IOException, sop.exception.SOPGPException.NoSignature, sop.exception.SOPGPException.BadData

Specified by:
  `data` in interface `sop.operation.VerifySignatures`
Throws:
  `IOException`
  `sop.exception.SOPGPException.NoSignature`
  `sop.exception.SOPGPException.BadData`